Skip to main content
Verify a recipient’s bank account before initiating a transfer. This confirms the account exists and returns the account holder’s name so you can confirm with your user before sending money.

Endpoint

POST /api/v1/business/validate
Signature required: Yes

Headers

HeaderRequiredDescription
x-api-keyYesYour API key
x-signature-keyYesRequest signature

Request body

FieldTypeRequiredDescription
accountNumberstringYesRecipient’s bank account number
bankCodestringYesRecipient’s bank code (from Get Bank List)

Request example

curl -X POST "https://api-dev.usenumero.com/numeroaccount/api/v1/business/validate" \
  -H "Content-Type: application/json" \
  -H "x-api-key: your_api_key" \
  -H "x-signature-key: generated_signature" \
  -d '{
    "accountNumber": "0123456789",
    "bankCode": "000013"
  }'

Response

{
  "status": true,
  "message": "Successful",
  "code": "200",
  "version": "v1",
  "reference": "abc123",
  "data": {
    "accountName": "John Doe",
    "accountNumber": "0123456789",
    "bankCode": "000013"
  },
  "error": null
}
FieldTypeDescription
accountNamestringThe name on the bank account
accountNumberstringThe validated account number
bankCodestringThe bank code